%define upstream_name Exporter-Tiny
%define upstream_version 0.042

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An exporter with the features of Sub::Exporter but only core dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

# Avoid doc-file dependency on perl(base)
%{?perl_default_filter}

%description
Exporter::Tiny supports many of Sub::Exporter's external-facing features
including renaming imported functions with the `-as`, `-prefix` and
`-suffix` options; explicit destinations with the `into` option; and
alternative installers with the `installler` option. But it's written in
only about 40% as many lines of code and with zero non-core dependencies.

Its internal-facing interface is closer to Exporter.pm, with configuration
done through the @EXPORT, @EXPORT_OK and %EXPORT_TAGS package variables.

Exporter::Tiny performs most of its internal duties (including resolution
of tag names to sub names, resolution of sub names to coderefs, and
installation of coderefs into the target package) as method calls, which
means they can be overridden to provide interesting behaviour.

Utility Functions
  These are really for internal use, but can be exported if you need them.

  `mkopt(\@array)`
      Similar to `mkopt` from Data::OptList. It doesn't support all the
      fancy options that Data::OptList does (`moniker`, `require_unique`,
      `must_be` and `name_test`) but runs about 50% faster.

  `mkopt_hash(\@array)`
      Similar to `mkopt_hash` from Data::OptList. See also `mkopt`.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.42.0-3.mga6
+ Revision: 1027119
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.42.0-2.mga6
+ Revision: 949944
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.42.0-1.mga5
+ Revision: 791839
- 0.042

* Sat Oct 18 2014 umeabot <umeabot> 0.38.0-5.mga5
+ Revision: 787987
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.38.0-4.mga5
+ Revision: 747849
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.38.0-3.mga5
+ Revision: 732104
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.38.0-2.mga5
+ Revision: 684671
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.38.0-1.mga5
+ Revision: 614779
- update to 0.038

* Thu Mar 13 2014 jquelin <jquelin> 0.36.0-1.mga5
+ Revision: 602892
- update to 0.036

* Thu Feb 06 2014 sander85 <sander85> 0.34.0-1.mga5
+ Revision: 584576
- update to 0.034

* Mon Oct 21 2013 umeabot <umeabot> 0.26.0-2.mga4
+ Revision: 538587
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 0.26.0-1.mga4
+ Revision: 489963
- imported package perl-Exporter-Tiny

